/*!
 * @file fi_fpga.h
 * @brief External definitions for the Fastec Imaging FPGA driver.
 *
 * It is expected that the userspace application will include this
 * file to have the information required to interact with the FPGA
 * device driver.
 *
 * Copyright (C) 2017 Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef __FI_FPGA_H__
#define __FI_FPGA_H__

// Only for Linux Kernel
#ifdef __KERNEL__

//-----------------------------------------------------------------------------
// Include Files
//-----------------------------------------------------------------------------

#include <fastec/fi_fpga_regs.h>
#include <fastec/fi_ioctl.h>

//-----------------------------------------------------------------------------
// Constant Definitions
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Function Prototypes
//-----------------------------------------------------------------------------

#endif /* __KERNEL__ */
#endif /* __FI_FPGA_H__ */
